/* ajustes generales */

* {
    margin: 0;
}

/* header estilos */
header {
    display: flex;
    position: sticky;
    width: 100%;
    justify-content: center;
    top: 0;
    background-color: #000b4b;
    z-index: 1000;
}

header nav {
    display: flex;
    align-items: center;
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
}

.tit {
    display: flex;
    justify-content: center;
    width: 40%;
    text-align: center;
}

.tit2 {
    display: flex;
    justify-content: center;
    width: 15%;
}

header li {
    padding: 1rem 2rem;
    list-style: none;
}

header .tituloHEAD a {
    font-family: Cinzel, serif;
    text-decoration: none;
    font-size: 3rem;
    font-weight: 500;
    letter-spacing: 2px;
    transition: 0.3s;
    color: whitesmoke;
}

header .tituloHEAD a:hover{
    box-shadow: rgba(141, 23, 165, 0.781) 0px 10px 20px,
        rgba(193, 44, 223, 0.23) 0px 6px 6px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 6px;
    border-radius: 10px;
}

header .itemHEAD a {
    font-size: 2rem;
}

header a:hover {
    box-shadow: rgba(141, 23, 165, 0.781) 0px 10px 20px,
        rgba(193, 44, 223, 0.23) 0px 6px 6px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 6px;
    border-radius: 10px;
}

.btn-primary{
    background-color: #000b4b !important;
    border: none !important;
    color: white !important;
}

/* estilos seccion Presentacion */

.Titulo {
    display: flex;
    justify-content: center;
    margin: 5%;
}

.Titulo:hover{
    box-shadow: rgba(141, 23, 165, 0.781) 0px 10px 20px,
        rgba(193, 44, 223, 0.23) 0px 6px 6px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 6px;
    border-radius: 10px;
}

.Presentacion h1 {
    font-family: kode mono, serif;
    font-size: 2.5rem;
    font-weight: 650;
    letter-spacing: 1px;
    color: #000b4b;
}

.Presentacion h2 {
    font-family: kode mono, serif;
    font-size: 1.1rem;
    font-weight: 500;
    letter-spacing: 1px;
}

.TextRazon {
    margin: 5%;
    display: flex;
    justify-content: center;
}


/* Estilos para los productos */
.venta {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-column-gap: 200px;
    grid-row-gap: 100px;
    justify-items: center;
    margin: 0 8%;
}

.producto button{
    padding: 10px;
    font-size: 1.5rem;
    font-weight: 600;
    background-color: #000b4b;
    color: white;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: all ease-in-out 0.3s;
}
.producto button:hover{
    box-shadow: rgba(141, 23, 165, 0.781) 0px 10px 20px,
        rgba(193, 44, 223, 0.23) 0px 6px 6px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 6px;
    border-radius: 10px;
}

.producto {
    padding: 10px;
    margin: 10px;
    text-align: center;
    position: relative;
    box-sizing: border-box;
    border: 5px solid #222;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px,
        rgba(0, 0, 0, 0.23) 0px 6px 6px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 6px;
    transition: all ease-in-out 0.3s;
    overflow: hidden;
}

.producto:hover {
    box-shadow: rgba(193, 44, 223, 0.19) 0px 10px 20px,
        rgba(198, 41, 230, 0.527) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 10px;
    border: 5px solid #001692;
}


.producto img {
    width: 100%;
    height: auto;
    object-fit: contain;
    margin-bottom: 10px;
}


/* estilos modal */

.campos{
    width: 100%;
    background-color: rgb(198, 228, 255);
    margin: 15% 0;
    border: 2.5px solid #00438a;
    border-radius: 15px;
}

/* estilos tablas de columnas*/
 table{
    width: 100%;
    border-collapse: collapse;
    margin: 1rem 0;
}
 
th{
    background-color: #00438a;
    color: white;
    padding: .75rem;
    text-align: center;
}

td{
    padding: .75rem;
    text-align: center;
} 

thead tr th{
    background-color: #000b4b ;
    color: white;
}


/* estilos carrito */

.imagenCarrito{
    width: 100px;
    height: 100px;
    object-fit: contain;
    margin-bottom: 10px;
}


/* footer estilos */

footer{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #000b4b;
    color: white;
    padding: 1rem;
    position: relative;
    bottom: 0;
    width: 100%;
    z-index: 1000;
}

footer i{
    font-size: 2rem;
    text-align: center;
}

footer i:hover{
    box-shadow: rgba(141, 23, 165, 0.781) 0px 10px 20px,
        rgba(193, 44, 223, 0.23) 0px 6px 6px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 6px;
    border-radius: 10px;
}

footer ul{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

footer li{
    list-style: none;
}


/* clases para arreglar modal */


.modal{
    background-color: rgba(0, 0, 0, 0.5) !important;
    font-family: kode mono, serif;
}

.modal-content{
    border: 2.5px solid #00438a !important;
    width: 550px !important;
}

.modal-content:hover{
    box-shadow: rgba(141, 23, 165, 0.781) 0px 10px 20px,
        rgba(193, 44, 223, 0.23) 0px 6px 6px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 6px;
}

.modal-footer{
    justify-content: center !important;
    align-items: center !important;   
}

.modal-footer .btn-primary:hover{
    box-shadow: rgba(141, 23, 165, 0.781) 0px 10px 20px,
        rgba(193, 44, 223, 0.23) 0px 6px 6px,
        inset rgba(0, 0, 0, 0.19) 0px 10px 20px,
        inset rgba(0, 0, 0, 0.23) 0px 6px 6px;
}

/* responsive -750 */

@media screen and (max-width: 750px){
    header{
        display: flex;
        flex: wrap;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
    }
    
}

/* responsive -500 */

@media screen and (max-width: 500px){
    header{
        position: relative;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

